-----
-----	Just a placeholder file I use for testing.
-----
local BLUE_GREEN_VALUE = 42/255
local colorCode = {}


local lastTime = GetTime()
local frame = CreateFrame("Frame")
frame:SetSize(1,1)
frame:SetFrameStrata("TOOLTIP")
frame:SetPoint("TOPLEFT")
frame.texture = frame:CreateTexture("bg", "BACKGROUND", "ActionBarButtonTemplate")
frame.texture:SetAllPoints(frame)
frame.texture:SetTexture(0,0,0,1)
frame:Show()

function WhatsNext:ApplyExtensionSettings()
	colorCode = {}
	local _ ,i =  nil,1
	for _,spellEntry in pairs(self.castSequence or {}) do
		if not colorCode[spellEntry.spell] then
			SetBindingSpell("ALT-CTRL-SHIFT-"..string.char(64+i),spellEntry.spell)
			colorCode[spellEntry.spell] = (64+i)/255
			i = i + 1
		end
	end
end

function WhatsNext:FireNextSpellChanged()
	frame.texture:SetTexture(not GetCurrentKeyBoardFocus() and colorCode[self.next] or 0, 
								BLUE_GREEN_VALUE, BLUE_GREEN_VALUE, 1)
end